## civicrm 5.24.5+dfsg1

=== debian/changelog ===
civicrm (5.24.5+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable.
  * Removed config file customisations and symlinks.
  * README/Wordpress: documented config file locations.
  * Updated cron file example (must set CIVICRM_SETTINGS).
  * Updated .tpl file to load "php-psr-log".

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 30 Apr 2020 23:12:18 +1000

civicrm (5.22.1+dfsg1-1) experimental; urgency=medium

  * New upstream release.
  * Use bundled Symfony Components due to incompatibility with versions 4+.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 20 Feb 2020 16:59:29 +1100

civicrm (5.22.0+dfsg1-1) experimental; urgency=medium

  * New upstream release.
  * Re-generated "autoload.php" from scratch by "phpab".
  * Replaced "composer-depends.patch" with "pkg-php-tools-overrides".
  * Vendorworks.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 14 Feb 2020 20:04:39 +1100

=== debian/control ===
Source: civicrm
Section: web
Priority: optional
Standards-Version: 4.5.0
Maintainer: Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper-compat (= 12)
    ,dh-linktree
    ,phpab
    ,pkg-php-tools (>= 1.14~)
# unbundled:
    ,fonts-font-awesome
#    ,fonts-tlwg-norasi
    ,libjs-angularjs
    ,libjs-backbone
    ,libjs-d3
#   ,libjs-jquery (>= 1.11.3~)
    ,libjs-jquery-datatables (>= 1.10.11~)
    ,libjs-jquery-form
    ,libjs-jquery-mousewheel
    ,libjs-jquery-ui (>= 1.10.1~)
#    ,libjs-jquery-jstree (>= 3.3.7~)
#    ,libjs-lodash
    ,libjs-prettify
    ,libjs-qunit
#    ,libjs-underscore
#    ,php-config
    ,php-codecoverage
    ,php-console-table
    ,php-date
    ,php-dompdf (>= 0.6.2~)
#    ,php-db
    ,php-file-iterator
#    ,php-gettext
    ,php-http-request
    ,php-mail-mime
#    ,php-mail-mimedecode
    ,php-net-dime
#    ,php-pager
    ,php-text-template
#    ,php-services-json
    ,php-timer
    ,php-token-stream
    ,php-validate
#    ,zendframework
Build-Depends-Indep:
    unzip
Homepage: https://civicrm.org
Vcs-Browser: https://salsa.debian.org/debian/civicrm
Vcs-Git: https://salsa.debian.org/debian/civicrm.git
Rules-Requires-Root: no

Package: civicrm-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
        ,ckeditor (>= 4.5.6~)
        ,fonts-font-awesome
#       ,libjs-jquery (>= 1.11.3~)
        ,libjs-jquery-ui (>= 1.10.1~)
    ,composer
    ,php-auth-sasl
#dev: ,php-cache-integration-tests
    ,php-cache-tag-interop
    ,php-dompdf (>= 0.6.2~)
    ,php-font-lib
#   ,php-guzzlehttp-promises
#   ,php-guzzlehttp-psr7
    ,php-htmlpurifier
    ,php-log
    ,php-mail (>= 1.3~)
    ,php-mbstring
    ,php-net-smtp
    ,php-net-socket
    ,php-pclzip
    ,php-pear
    ,php-psr-cache
    ,php-psr-http-message
    ,php-psr-log
    ,php-psr-simple-cache
    ,php-seclib
# Generated automatically by dh_phpcomposer:
#   ,php-symfony-config (>= 2.5)
#   ,php-symfony-dependency-injection (>= 2.5)
#   ,php-symfony-event-dispatcher (>= 2.5)
#   ,php-symfony-filesystem (>= 2.5)
#   ,php-symfony-finder (>= 2.5)
#   ,php-symfony-process (>= 2.5)
    ,php-symfony-polyfill-ctype
    ,php-symfony-polyfill-iconv
    ,php-xml
    ,php-tcpdf (>= 6.3.2~)
# Provides sRGB.icc to replace in bundled php-tcpdf:
#      ,icc-profiles-free
#    ,smarty3
    ,php-zend-stdlib
    ,php-zeta-base
Recommends: xvfb, wkhtmltopdf (>= 0.12.1), civicrm-l10n
    ,php-curl
    ,php-zip
Suggests: ${phpcomposer:Debian-suggest}
    ,wordpress-civicrm
#   |drupal7-mod-civicrm
Description: CiviCRM common files
 CiviCRM is web-based, Constituent Relationship Management (CRM) software
 geared toward meeting the needs of non-profit and other civic-sector
 organizations.
 .
 As a non profit committed to the public good itself, CiviCRM understands
 that forging and growing strong relationships with constituents is about
 more than collecting and tracking constituent data - it is about sustaining
 relationships with supporters over time.
 .
 With CiviCRM's robust feature set, organizations can further their mission
 through contact management, fundraising, event management, member
 management, mass e-mail marketing, peer-to-peer campaigns, case management,
 and much more.
 .
 CiviCRM is a solution for managing
  * Contacts & relationships
  * Events & registration
  * Fundraising
  * Online payments
  * Communications
  * Mailing lists
  * Membership
  * Clients
  * Reports
 .
 This package contains core components of CiviCRM.

Package: civicrm-l10n
Section: localization
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, civicrm-common (= ${source:Version})
Enhances: civicrm-common
Description: CiviCRM country and language data
 CiviCRM is web-based, Constituent Relationship Management (CRM) software
 geared toward meeting the needs of non-profit and other civic-sector
 organizations.
 .
 As a non profit committed to the public good itself, CiviCRM understands
 that forging and growing strong relationships with constituents is about
 more than collecting and tracking constituent data - it is about sustaining
 relationships with supporters over time.
 .
 With CiviCRM's robust feature set, organizations can further their mission
 through contact management, fundraising, event management, member
 management, mass e-mail marketing, peer-to-peer campaigns, case management,
 and much more.
 .
 This package contains CiviCRM language files and countries data.

#Package: drupal7-mod-civicrm
#Architecture: all
#Multi-Arch: foreign
#Depends: ${misc:Depends}, drupal7, civicrm-common (= ${source:Version})
#Suggests: civicrm-l10n
#Enhances: drupal7
#Description: CiviCRM plugin for Drupal7
# CiviCRM is web-based, Constituent Relationship Management (CRM) software
# geared toward meeting the needs of non-profit and other civic-sector
# organizations.
# .
# As a non profit committed to the public good itself, CiviCRM understands
# that forging and growing strong relationships with constituents is about
# more than collecting and tracking constituent data - it is about sustaining
# relationships with supporters over time.
# .
# With CiviCRM's robust feature set, organizations can further their mission
# through contact management, fundraising, event management, member
# management, mass e-mail marketing, peer-to-peer campaigns, case management,
# and much more.
# .
# This package proviced CiviCRM plugin for Drupal7.

Package: wordpress-civicrm
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, wordpress, civicrm-common (= ${source:Version})
Suggests: civicrm-l10n
Enhances: wordpress
Description: CiviCRM plugin for WordPress
 CiviCRM is web-based, Constituent Relationship Management (CRM) software
 geared toward meeting the needs of non-profit and other civic-sector
 organizations.
 .
 As a non profit committed to the public good itself, CiviCRM understands
 that forging and growing strong relationships with constituents is about
 more than collecting and tracking constituent data - it is about sustaining
 relationships with supporters over time.
 .
 With CiviCRM's robust feature set, organizations can further their mission
 through contact management, fundraising, event management, member
 management, mass e-mail marketing, peer-to-peer campaigns, case management,
 and much more.
 .
 This package proviced CiviCRM plugin for WordPress.

## civicrm 5.24.6+dfsg1

=== debian/changelog ===
civicrm (5.24.6+dfsg1-2) unstable; urgency=medium

  * Autoload "php-zeta-base" to fix "fetch bounces" job.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 05 May 2020 23:48:50 +1000

civicrm (5.24.6+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Don't depend on "polyfill" packages.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 04 May 2020 09:12:19 +1000

## civicrm 5.25.0+dfsg1

=== debian/changelog ===
civicrm (5.25.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 14 May 2020 14:31:36 +1000

=== debian/control ===
--- 
+++ 
@@ -85,8 +85,6 @@
 #   ,php-symfony-filesystem (>= 2.5)
 #   ,php-symfony-finder (>= 2.5)
 #   ,php-symfony-process (>= 2.5)
-    ,php-symfony-polyfill-ctype
-    ,php-symfony-polyfill-iconv
     ,php-xml
     ,php-tcpdf (>= 6.3.2~)
 # Provides sRGB.icc to replace in bundled php-tcpdf:

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --buildsystem=phppear --with phpcomposer

override_dh_clean:
	## Remove Files-Excluded (when built from checkout or non-DFSG tarball):
	$(RM) -rv `perl -0nE 'say $$1 if m{^Files\-Excluded\:\s*(.*?)(?:\n\n|Files:|Comment:)}sm;' debian/copyright`
	dh_clean vendor/autoload.php
	## dh_linktree can't replace directory with a symlink (#783924)
	## so we have to drop it (and since dh_linktree/replace do not
	## create new directories (#783906) a new symlink is to be made
	## manually if we want this folder in destination):
	$(RM) -vr packages/IDS/vendors/htmlpurifier/HTMLPurifier/DefinitionCache/Serializer

vendor/autoload.php:
	phpab --follow --output $@ \
              --template debian/autoload-vendor.php.tpl \
              --exclude 'vendor/composer/*' \
              --exclude '**/TestUtil.php' \
            vendor Civi \
        ;

override_dh_auto_build: vendor/autoload.php
	dh_auto_build

override_dh_install:
	dh_install \
            -Xlicense.txt -XLICENSE.txt -XLICENSE -XLICENSE.md -XCOPYING -Xgpl.txt \
            -XLICENSE.GPL -XLICENSE.LGPL -XLICENSE.TXT \
            -X.gitignore -X.gitmodules -X.gitattributes -X.DS_Store -X.swf \
            -Xagpl-3.0.txt -Xagpl-3.0.exception.txt \
            -XCHANGELOG.TXT -Xchangelog.txt -X/CHANGELOG.md -X/changelog.md \
            -X/bower.json -X/Gruntfile.js -X/package.json -X/composer.json -X/Makefile \
            -X/backbone-forms/scripts/build -Xicons.psd
	## executable-not-elf-or-script
	chmod -R -c a-x+X debian/*/usr/share
	## defaults: disable update check:
	perl -pi -E "s{'CiviCRM Preferences','versionCheck','i:\K1}{0}sg;" \
            debian/civicrm-common/usr/share/civicrm/sql/civicrm_generated.mysql
	
	## useless:
	$(RM) -r debian/civicrm/usr/share/civicrm/vendor/composer

override_dh_missing:
	dh_missing --fail-missing

.PHONY: debian/civicrm-common
debian/civicrm-common:
	## Assist dh_linktree to do the right "replace" job:
	##  a) remove symlinks from destination (#783917):
	##  b) create tree of source directories in destination (#783906):
	grep ^replace $@.linktrees | \
        while read M S D; do\
            echo "pre-linktree: $$S --> $@$$D" ;\
            [ -f "$$S" ] && continue ;\
            [ -d "$@$$D" ] || mkdir -v -p "$@$$D" ;\
            find "$@$$D" -type l -delete -printf 'removed symlink %p\n' ;\
            cp -r --no-clobber --preserve=all "$$S"/* "$@$$D"/ ;\
        done

override_dh_link: debian/civicrm-common
	## we need to call dh_linktree before dh_link, not after like it
	## happens by default in "--with linktree" mode.
	dh_linktree
	## link minified .CSS and .JS with to their uncompressed versions:
	find $(CURDIR)/debian/civicrm-common/usr -type f -name "*[-.]min.css" -or -name "*[-.]min.js" | \
        while read MF; do \
            UF="$$(echo $${MF} | perl -pE 's{[\.-]min\.(js|css)}{.$$1};')" ;\
            if [ -f "$${UF}" -o -h "$${UF}" ]; then \
                ln -svfr "$${UF}" "$${MF}" ;\
            else \
                UF="$$(echo $${UF} | perl -pE 's{/\K([^/]+)\Z}{../$$1};')" ;\
                if [ -f "$${UF}" -o -h "$${UF}" ]; then \
                    ln -svfr "$${UF}" "$${MF}" ;\
                    continue ;\
                else \
                    UF="$$(echo $${UF} | perl -pE 's{/\K([^/]+)\Z}{src/$$1};')" ;\
                    [ -f "$${UF}" -o -h "$${UF}" ] && ln -svfr "$${UF}" "$${MF}" ;\
                fi ;\
            fi ;\
        done
	## Reduce duplication in CRM/*:
	$(RM) -r $(CURDIR)/debian/civicrm-common/usr/share/civicrm/CRM/Core
	$(RM) -r $(CURDIR)/debian/civicrm-common/usr/share/civicrm/CRM/Utils
	find $(CURDIR)/debian/civicrm-common/usr/share/civicrm/CRM -maxdepth 1 -type d ! -name "CRM" | \
        while read L; do \
            BL="$$(basename $$L)" ;\
            true|| ln -sv "/usr/share/civicrm/CRM/$$BL" "$(CURDIR)/debian/drupal7-mod-civicrm/usr/share/drupal7/modules/civicrm/CRM/$$BL" ;\
            ln -sv "/usr/share/civicrm/CRM/$$BL" "$(CURDIR)/debian/wordpress-civicrm/usr/share/wordpress/wp-content/plugins/civicrm/civicrm/CRM/$$BL" ;\
        done
	dh_link
	## remove empty directories:
	find $(CURDIR)/debian/civicrm-common/usr -type d -empty -delete -printf 'removed %p\n'
	## remove the following file due to security risk pop-up:
	$(RM) -v $(CURDIR)/debian/civicrm-common/usr/share/civicrm/vendor/dompdf/dompdf/dompdf.php

## civicrm 5.28.4+dfsg1

=== debian/changelog ===
civicrm (5.28.4+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * No longer depend on "php-http-request".
  * Invoke "phpab" with "--tolerant".

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 06 Jan 2021 08:37:57 +1100

=== debian/control ===
--- 
+++ 
@@ -28,10 +28,9 @@
     ,php-console-table
     ,php-date
     ,php-dompdf (>= 0.6.2~)
-#    ,php-db
+#   ,php-db (>= 1.10~)
     ,php-file-iterator
 #    ,php-gettext
-    ,php-http-request
     ,php-mail-mime
 #    ,php-mail-mimedecode
     ,php-net-dime
@@ -61,11 +60,14 @@
     ,php-auth-sasl
 #dev: ,php-cache-integration-tests
     ,php-cache-tag-interop
+#   ,php-db (>= 1.10~)
+#   ,php-db-dataobject
     ,php-dompdf (>= 0.6.2~)
     ,php-font-lib
 #   ,php-guzzlehttp-promises
 #   ,php-guzzlehttp-psr7
     ,php-htmlpurifier
+    ,php-intl
     ,php-log
     ,php-mail (>= 1.3~)
     ,php-mbstring
@@ -74,6 +76,7 @@
     ,php-pclzip
     ,php-pear
     ,php-psr-cache
+#   ,php-psr-http-client
     ,php-psr-http-message
     ,php-psr-log
     ,php-psr-simple-cache

=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,7 @@
 
 vendor/autoload.php:
 	phpab --follow --output $@ \
+              --tolerant \
               --template debian/autoload-vendor.php.tpl \
               --exclude 'vendor/composer/*' \
               --exclude '**/TestUtil.php' \

## civicrm 5.33.1+dfsg1

=== debian/changelog ===
civicrm (5.33.1+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 11 Jan 2021 21:52:04 +1100

=== debian/control ===
--- 
+++ 
@@ -70,6 +70,7 @@
     ,php-intl
     ,php-log
     ,php-mail (>= 1.3~)
+    ,php-mail-mime (>= 1.10.9~)
     ,php-mbstring
     ,php-net-smtp
     ,php-net-socket

## civicrm 5.33.2+dfsg1

=== vendor/togos/gitignore/Makefile ===
default: run-unit-tests

.PHONY: run-unit-tests

composer.lock: | composer.json
	composer install

vendor: composer.lock
	composer install
	touch "$@"

run-unit-tests: vendor
	vendor/bin/phpsimplertest --bootstrap vendor/autoload.php src/test/ --colorful-output

=== debian/changelog ===
civicrm (5.33.2+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Removed dependency on obsolete "php-token-stream".

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 19 Jan 2021 13:06:56 +1100

=== debian/control ===
--- 
+++ 
@@ -38,7 +38,6 @@
     ,php-text-template
 #    ,php-services-json
     ,php-timer
-    ,php-token-stream
     ,php-validate
 #    ,zendframework
 Build-Depends-Indep:

=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,7 @@
               --template debian/autoload-vendor.php.tpl \
               --exclude 'vendor/composer/*' \
               --exclude '**/TestUtil.php' \
-            vendor Civi \
+             Civi packages vendor \
         ;
 
 override_dh_auto_build: vendor/autoload.php

=== debian/watch ===
# uscan(1) configuration file.
version=4

## Redirector http://qa.debian.org/watch/sf.php/civicrm/

opts="\
pgpmode=none,\
repack,compression=xz,repacksuffix=+dfsg1,\
dversionmangle=s{[+~](dfsg|ds)\d*}{},\
" https://sf.net/civicrm/civicrm-(\d+\.[\d\.]+)-drupal\.(?:zip|tar\.gz|tar\.xz|tar\.bz2)

opts="\
component=wordpress,\
pgpmode=none,\
repack,compression=xz,oversionmangle=s{(.*)}{$1+dfsg},\
dversionmangle=s{[+~](dfsg|ds)\d*}{},\
" https://sf.net/civicrm/civicrm-(\d+\.[\d\.]+)-wordpress\.(?:zip|tar\.gz|tar\.xz|tar\.bz2)

opts="\
component=l10n,\
pgpmode=none,\
repack,compression=xz,oversionmangle=s{(.*)}{$1+dfsg},\
dversionmangle=s{[+~](dfsg|ds)\d*}{},\
" https://sf.net/civicrm/civicrm-(\d+\.[\d\.]+)\-l10n\.tar\.(?:gz|xz|bz2)


#opts=\
#repacksuffix=+dfsg,\
#dversionmangle=s{\+dfsg\d*}{},\
# https://sf.net/civicrm/civicrm-(\d+\.[\d\.]+)(?:-drupal7?)\.tar\.(?:gz|xz|bz2)

## only latest version; no history.
#opts="\
#pgpmode=none,\
#repacksuffix=+dfsg,\
#repack,compression=xz,\
#dversionmangle=s{[+~](dfsg|ds)\d*}{},\
#" https://civicrm.org/download/list \
# .*/civicrm-(\d+\.[\d\.]+)(?:-drupal7?)\.tar\.(?:gz|xz|bz2)(?:\?src=donate)?

## civicrm 5.50.1+dfsg1

=== debian/changelog ===
civicrm (5.50.1+dfsg1-1ubuntu1) kinetic; urgency=medium

  * Merge with Debian unstable (LP: #1978501).
  * Dropped changes:
    - d/p/use-php-psr-log-3.patch: use psr/log 3.
      [ Drop in favor of upstream patch ]
  * New changes:
    - d/p/allow_psr_log_3.patch: allow psr/log up to version 3.

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Mon, 13 Jun 2022 17:51:09 -0300

civicrm (5.50.1+dfsg1-1) unstable; urgency=medium

  * New upstream release.
    + CVE-2021-21252: upgraded "jquery.validate.js" 1.19.3 is no longer
      vulnerable to ReDoS (Closes: #980892).
  * Optimised dependency loading.
  * Standards-Version: 4.6.1.
  * watch: re-write.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 11 Jun 2022 13:34:01 +1000

civicrm (5.33.2+dfsg1-1ubuntu1) jammy; urgency=medium

  * d/p/use-php-psr-log-3.patch: use psr/log 3.

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Mon, 04 Apr 2022 17:50:56 -0300

civicrm (5.33.2+dfsg1-1build1) jammy; urgency=medium

  * No change rebuild for symfony 5.4 and php-psr-log 3

 -- Bryce Harrington <bryce@canonical.com>  Fri, 25 Feb 2022 06:28:35 +0000

## civicrm 5.50.3+dfsg1

=== debian/changelog ===
civicrm (5.50.3+dfsg1-1ubuntu1) kinetic; urgency=medium

  * Merge with Debian unstable (LP: #1980139). Remaining changes:
    - d/p/allow_psr_log_3.patch: allow psr/log up to version 3.

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Tue, 28 Jun 2022 15:43:54 -0300

civicrm (5.50.3+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Minor correction to PHP include paths.
  * Added links to upstream documentation to README.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 21 Jun 2022 16:50:45 +1000

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: civicrm
 Section: web
 Priority: optional
-Standards-Version: 4.5.0
-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
+Standards-Version: 4.6.1
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
 Build-Depends: debhelper-compat (= 12)
     ,dh-linktree
     ,phpab
-    ,pkg-php-tools (>= 1.14~)
+    ,pkg-php-tools (>= 1.40~)
 # unbundled:
     ,fonts-font-awesome
-#    ,fonts-tlwg-norasi
+#   ,fonts-tlwg-norasi
     ,libjs-angularjs
     ,libjs-backbone
     ,libjs-d3
@@ -18,28 +19,11 @@
     ,libjs-jquery-form
     ,libjs-jquery-mousewheel
     ,libjs-jquery-ui (>= 1.10.1~)
-#    ,libjs-jquery-jstree (>= 3.3.7~)
-#    ,libjs-lodash
+#   ,libjs-jquery-jstree (>= 3.3.7~)
+#   ,libjs-lodash
     ,libjs-prettify
     ,libjs-qunit
-#    ,libjs-underscore
-#    ,php-config
-    ,php-codecoverage
-    ,php-console-table
-    ,php-date
-    ,php-dompdf (>= 0.6.2~)
-#   ,php-db (>= 1.10~)
-    ,php-file-iterator
-#    ,php-gettext
-    ,php-mail-mime
-#    ,php-mail-mimedecode
-    ,php-net-dime
-#    ,php-pager
-    ,php-text-template
-#    ,php-services-json
-    ,php-timer
-    ,php-validate
-#    ,zendframework
+#   ,libjs-underscore
 Build-Depends-Indep:
     unzip
 Homepage: https://civicrm.org
@@ -57,10 +41,6 @@
         ,libjs-jquery-ui (>= 1.10.1~)
     ,composer
     ,php-auth-sasl
-#dev: ,php-cache-integration-tests
-    ,php-cache-tag-interop
-#   ,php-db (>= 1.10~)
-#   ,php-db-dataobject
     ,php-dompdf (>= 0.6.2~)
     ,php-font-lib
 #   ,php-guzzlehttp-promises
@@ -76,18 +56,16 @@
     ,php-pclzip
     ,php-pear
     ,php-psr-cache
-#   ,php-psr-http-client
-    ,php-psr-http-message
     ,php-psr-log
     ,php-psr-simple-cache
     ,php-seclib
 # Generated automatically by dh_phpcomposer:
-#   ,php-symfony-config (>= 2.5)
-#   ,php-symfony-dependency-injection (>= 2.5)
-#   ,php-symfony-event-dispatcher (>= 2.5)
-#   ,php-symfony-filesystem (>= 2.5)
-#   ,php-symfony-finder (>= 2.5)
-#   ,php-symfony-process (>= 2.5)
+#   ,php-symfony-config (>= 4.4~)
+#   ,php-symfony-dependency-injection (>= 4.4~)
+#   ,php-symfony-event-dispatcher (>= 4.4~)
+#   ,php-symfony-filesystem (>= 4.4~)
+#   ,php-symfony-finder (>= 4.4~)
+#   ,php-symfony-process (>= 4.4~)
     ,php-xml
     ,php-tcpdf (>= 6.3.2~)
 # Provides sRGB.icc to replace in bundled php-tcpdf:

## civicrm 5.53.0+dfsg1

=== debian/changelog ===
civicrm (5.53.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 29 Sep 2022 19:49:20 +1000

civicrm (5.52.2+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Depends += "php-symfony-yaml".

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 15 Aug 2022 17:25:26 +1000

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: web
 Priority: optional
 Standards-Version: 4.6.1
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
+Maintainer: Dmitry Smirnov <onlyjob@debian.org>
 Build-Depends: debhelper-compat (= 12)
     ,dh-linktree
     ,phpab
@@ -66,6 +65,7 @@
 #   ,php-symfony-filesystem (>= 4.4~)
 #   ,php-symfony-finder (>= 4.4~)
 #   ,php-symfony-process (>= 4.4~)
+    ,php-symfony-yaml
     ,php-xml
     ,php-tcpdf (>= 6.3.2~)
 # Provides sRGB.icc to replace in bundled php-tcpdf:

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,10 @@
 	$(RM) -vr packages/IDS/vendors/htmlpurifier/HTMLPurifier/DefinitionCache/Serializer
 
 vendor/autoload.php:
-	phpab --follow --output $@ \
-              --tolerant \
+#	phpabtpl composer.json > debian/autoload.php.tpl
+	phpab --output $@ \
               --template debian/autoload-vendor.php.tpl \
+              --prepend --tolerant --nolower \
               --exclude 'vendor/composer/*' \
               --exclude '**/TestUtil.php' \
              Civi packages vendor \
@@ -84,15 +85,15 @@
                 fi ;\
             fi ;\
         done
-	## Reduce duplication in CRM/*:
-	$(RM) -r $(CURDIR)/debian/civicrm-common/usr/share/civicrm/CRM/Core
-	$(RM) -r $(CURDIR)/debian/civicrm-common/usr/share/civicrm/CRM/Utils
-	find $(CURDIR)/debian/civicrm-common/usr/share/civicrm/CRM -maxdepth 1 -type d ! -name "CRM" | \
-        while read L; do \
-            BL="$$(basename $$L)" ;\
-            true|| ln -sv "/usr/share/civicrm/CRM/$$BL" "$(CURDIR)/debian/drupal7-mod-civicrm/usr/share/drupal7/modules/civicrm/CRM/$$BL" ;\
-            ln -sv "/usr/share/civicrm/CRM/$$BL" "$(CURDIR)/debian/wordpress-civicrm/usr/share/wordpress/wp-content/plugins/civicrm/civicrm/CRM/$$BL" ;\
-        done
+#	## Reduce duplication in CRM/*:
+#	$(RM) -r $(CURDIR)/debian/civicrm-common/usr/share/civicrm/CRM/Core
+#	$(RM) -r $(CURDIR)/debian/civicrm-common/usr/share/civicrm/CRM/Utils
+#	find $(CURDIR)/debian/civicrm-common/usr/share/civicrm/CRM -maxdepth 1 -type d ! -name "CRM" | \
+#        while read L; do \
+#            BL="$$(basename $$L)" ;\
+#            true|| ln -sv "/usr/share/civicrm/CRM/$$BL" "$(CURDIR)/debian/drupal7-mod-civicrm/usr/share/drupal7/modules/civicrm/CRM/$$BL" ;\
+#            ln -sv "/usr/share/civicrm/CRM/$$BL" "$(CURDIR)/debian/wordpress-civicrm/usr/share/wordpress/wp-content/plugins/civicrm/civicrm/CRM/$$BL" ;\
+#        done
 	dh_link
 	## remove empty directories:
 	find $(CURDIR)/debian/civicrm-common/usr -type d -empty -delete -printf 'removed %p\n'

## civicrm 5.68.1+dfsg1

=== packages/PHPgettext/Makefile ===
PACKAGE = php-gettext-$(VERSION)
VERSION = 1.0.12

DIST_FILES = \
	gettext.php \
	gettext.inc \
	streams.php \
	AUTHORS     \
	README      \
	COPYING     \
	Makefile    \
	examples/index.php    \
	examples/pigs_dropin.php    \
	examples/pigs_fallback.php    \
	examples/locale/sr_CS/LC_MESSAGES/messages.po \
	examples/locale/sr_CS/LC_MESSAGES/messages.mo \
	examples/locale/de_CH/LC_MESSAGES/messages.po \
	examples/locale/de_CH/LC_MESSAGES/messages.mo \
	examples/update \
	tests/LocalesTest.php \
	tests/ParsingTest.php

check:
	phpunit --verbose tests

dist: check
	if [ -d $(PACKAGE) ]; then \
	    rm -rf $(PACKAGE); \
	fi; \
	mkdir $(PACKAGE); \
	if [ -d $(PACKAGE) ]; then \
	    cp -rp --parents $(DIST_FILES) $(PACKAGE); \
	    tar cvzf $(PACKAGE).tar.gz $(PACKAGE); \
	    rm -rf $(PACKAGE); \
	fi;

sign: dist
	gpg --armor --sign --detach-sig $(PACKAGE).tar.gz

clean:
	rm -f $(PACKAGE).tar.gz $(PACKAGE).tar.gz.asc

=== debian/changelog ===
civicrm (5.68.1+dfsg1-1) unstable; urgency=medium

  * New upstream release.
    + fixed CVE-2023-25440 (Closes: #1036695).
    + updated for compatibility with Symfony 6 (Closes: #1051988).
  * New patch to fix CVE-2023-28115 in bundled Snappy (Closes: #1036284).
  * Standards-Version: 4.6.2
  * Install upstream release notes.
  * Removed "php-log" and "php-symfony-yaml" from Depends.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 05 Jan 2024 00:37:17 +1100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: civicrm
 Section: web
 Priority: optional
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Maintainer: Dmitry Smirnov <onlyjob@debian.org>
 Build-Depends: debhelper-compat (= 12)
     ,dh-linktree
@@ -46,7 +46,7 @@
 #   ,php-guzzlehttp-psr7
     ,php-htmlpurifier
     ,php-intl
-    ,php-log
+#   ,php-log
     ,php-mail (>= 1.3~)
     ,php-mail-mime (>= 1.10.9~)
     ,php-mbstring
@@ -59,13 +59,13 @@
     ,php-psr-simple-cache
     ,php-seclib
 # Generated automatically by dh_phpcomposer:
-#   ,php-symfony-config (>= 4.4~)
-#   ,php-symfony-dependency-injection (>= 4.4~)
-#   ,php-symfony-event-dispatcher (>= 4.4~)
-#   ,php-symfony-filesystem (>= 4.4~)
-#   ,php-symfony-finder (>= 4.4~)
-#   ,php-symfony-process (>= 4.4~)
-    ,php-symfony-yaml
+#   ,php-symfony-config (>= 6.4~)
+#   ,php-symfony-dependency-injection (>= 6.4~)
+#   ,php-symfony-event-dispatcher (>= 6.4~)
+#   ,php-symfony-filesystem (>= 6.4~)
+#   ,php-symfony-finder (>= 6.4~)
+#   ,php-symfony-process (>= 6.4~)
+#   ,php-symfony-yaml
     ,php-xml
     ,php-tcpdf (>= 6.3.2~)
 # Provides sRGB.icc to replace in bundled php-tcpdf:

=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,7 @@
 	## create new directories (#783906) a new symlink is to be made
 	## manually if we want this folder in destination):
 	$(RM) -vr packages/IDS/vendors/htmlpurifier/HTMLPurifier/DefinitionCache/Serializer
+	$(RM) -vr packages/smarty3  ## TODO: drop in 5.69. 5.68.1 is not ready for Smarty3 yet.
 
 vendor/autoload.php:
 #	phpabtpl composer.json > debian/autoload.php.tpl

=== debian/watch ===
# uscan(1) configuration file.
version=4

opts="\
pgpmode=none,\
repack,compression=xz,repacksuffix=+dfsg1,\
dversionmangle=s{[+~](dfsg|ds)\d*}{},\
filenamemangle=s{/download\Z}{}, \
downloadurlmangle=s{^.*/(.*?)/download}{https://download.civicrm.org/$1}, \
" https://sourceforge.net/projects/civicrm/files/civicrm-stable/@ANY_VERSION@/ \
  .*/civicrm-@ANY_VERSION@-drupal@ARCHIVE_EXT@/download

opts="\
component=wordpress,\
pgpmode=none,\
repack,compression=xz,oversionmangle=s{(.*)}{$1+dfsg},\
dversionmangle=s{[+~](dfsg|ds)\d*}{},\
filenamemangle=s{/download\Z}{}, \
downloadurlmangle=s{^.*/(.*?)/download}{https://download.civicrm.org/$1}, \
" https://sourceforge.net/projects/civicrm/files/civicrm-stable/@ANY_VERSION@/ \
  .*/civicrm-@ANY_VERSION@-wordpress@ARCHIVE_EXT@/download

opts="\
component=l10n,\
pgpmode=none,\
repack,compression=xz,oversionmangle=s{(.*)}{$1+dfsg},\
dversionmangle=s{[+~](dfsg|ds)\d*}{},\
filenamemangle=s{/download\Z}{}, \
downloadurlmangle=s{^.*/(.*?)/download}{https://download.civicrm.org/$1}, \
" https://sourceforge.net/projects/civicrm/files/civicrm-stable/@ANY_VERSION@/ \
  .*/civicrm-@ANY_VERSION@-l10n@ARCHIVE_EXT@/download
